<!DOCTYPE html>
<html>
    <body>
        <head>
            <link rel="stylesheet" href="/pos.css">
        </head>
        <!--header file-->
        <?php
        include 'header.php';
        ?>
        <div class="container-fluid">
            <div class="row">
                <div class="col-4 left ms-5">
                    <div class="justify-content-between items-container">
                        <!-- Items will be dynamically added here -->
                    </div>
                   
                   
                    <div class="bg-light mt-2">
                        <p class="text-center">Loyalty Points</p>
                        <div class="row justify-content-center">
                            <div class="col-4">
                                <p>Points Won</p>
                                <p>+400</p>
                            </div>
                            <div class="col-4">
                                <p>New Total</p>
                                <p>4000.00</p>
                            </div>
                        </div>
                    </div>
                    <div class="">
                        <div class="row mt-2">
                            <div class="col-4">
                                <p class="btn"><i class="fa-solid fa-rotate-right"></i> Refund</p>
                            </div>
                            <div class="col-4 border-start border-end">
                                <p class="btn"><i class="fa-solid fa-note-sticky"></i> Customer Note</p>
                            </div>
                            <div class="col-4">
                                <p class="btn"><i class="fa-solid fa-barcode"></i> Enter Code</p>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-4 bg-light d-flex">
                            
                                <p class="btn"><i class="fa-solid fa-star"></i> Reset Programs</p>
                            </div>
                            <div class="col-4 border-start border-end">
                                <p class="btn"><i class="fa-solid fa-star"></i> Reward</p>
                            </div>
                            <div class="col-4">
                                <p class="btn"><i class="fa-solid fa-tag"></i> Internal Note</p>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-12 text-center">
                                <p><i class="fa-solid fa-paperclip"></i> Quotation/Order</p>
                            </div>                            
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <p><i class="fa-solid fa-user"></i> Oliver Allan</p>
                            <div class="payment">
                                <i class=" icon a-light fa-greater-than" style="height:120rem;"></i>    
                                <p>Payment</p>
                            </div>
                            
                        </div>
                        <div class="col-8">
                            <div class="row mt-1">
                                <div class="col-3">
                                    <button>1</button>
                                </div>
                                <div class="col-3">
                                    <button>2</button>
                                </div>
                                <div class="col-3">
                                    <button>3</button>
                                </div>
                                <div class="col-3">
                                    <button>Qty</button>
                                </div>                                
                            </div>
                            <div class="row mt-1">
                                <div class="col-3">
                                    <button>4</button>
                                </div>
                                <div class="col-3">
                                    <button>5</button>
                                </div>
                                <div class="col-3">
                                    <button>6</button>
                                </div>
                                <div class="col-3">
                                    <button>%Disc</button>
                                </div>                                
                            </div>
                            <div class="row mt-1">
                                <div class="col-3">
                                    <button>7</button>
                                </div>
                                <div class="col-3">
                                    <button>8</button>
                                </div>
                                <div class="col-3">
                                    <button>9</button>
                                </div>
                                <div class="col-3">
                                    <button>Price</button>
                                </div>                                
                            </div>
                            <div class="row mt-1">
                                <div class="col-3">
                                    <button>+/-</button>
                                </div>
                                <div class="col-3">
                                    <button>0</button>
                                </div>
                                <div class="col-3">
                                    <button>.</button>
                                </div>
                                <div class="col-3">
                                    <button><i class="fa-solid fa-delete-left"></i></button>
                                </div>                                
                            </div>
                        </div>
                    </div>
                    
                </div>
                <div class="col-2 departments">
                    <h3>Departments</h3>
                    <?php foreach ($departments as $department): ?>
                        <div class="img"  data-department-id="<?php echo $department->ID; ?>">
                            <p class="btn btn-success"><?php echo $department->Name; ?></p>
                        </div>
                    <?php endforeach; ?>                                         
                </div>
                <!--Right column content-->
                <div class="col-5 right">
                    <div class="d-flex mt-5 justify-content-between">
                        <div class="icons d-flex">
                            <i class="fa-solid fa-house"></i> > <i class="fa-solid fa-book"> <span>Items</span></i>
                        </div>

                            <form action="<?= base_url("welcome/search") ?>" method="POST">
                                <div class="input-group mb-3 ">
                                    <input type="search" class="form-control" placeholder="Search products" name="search" aria-label="Search products" aria-describedby="search-icon">
                                    <span class="input-group-text" id="search-icon"><button class="search" type="submit"><i class="fas fa-search btn btn-sm"></i></button></span>
                                </div>
                            </form>
                    </div>
                        <div class="images items">
                            <div class="img">
                                
                            </div>
                            
                        </div>
                    
                </div>
                
            </div>
        </div>
        <script>
            //fetching items
            document.addEventListener('DOMContentLoaded', function() {
                var departmentSections = document.querySelectorAll('.img');
                departmentSections.forEach(function(section) {
                    section.addEventListener('click', function() {
                        var departmentID = section.dataset.departmentId;
                        fetch('<?php echo base_url('welcome/items'); ?>/' + departmentID)
                            .then(response => response.json())
                            .then(data => {
                                var itemsContainer = document.querySelector('.images.items');
                                itemsContainer.innerHTML = ''; // Clear previous items
                                data.forEach(function(item) {
                                    var itemDiv = document.createElement('div');
                                    itemDiv.classList.add('img');
                                    var itemImage = document.createElement('img');
                                    itemImage.src = '/images/' + item.Image; 
                                    var itemDescription = document.createElement('p');
                                    itemDescription.textContent = item.Description;
                                    var itemPrice = document.createElement('p');
                                    itemPrice.textContent = '$' + item.Price;
                                    itemDiv.appendChild(itemImage);
                                    itemDiv.appendChild(itemDescription);
                                    itemDiv.appendChild(itemPrice);
                                    itemsContainer.appendChild(itemDiv);
                                    // Add click event listener to add item to cart
                                    itemDiv.addEventListener('click', function() {
                                        // Send AJAX request to add item to cart
                                        var itemId = item.ID; // Assuming there's an ID property in your item data
                                        addToCart(itemId);
                                    });
                                });
                            })
                            .catch(error => console.error('Error fetching items:', error));
                    });
                });
            });
           
            function addToCart(itemId) {
    fetch('<?php echo base_url('welcome/add_to_cart'); ?>', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        body: JSON.stringify({ itemId: itemId }), // Pass item ID in the request body
    })
    .then(response => response.json())
    .then(data => {
        // Handle response from server (e.g., display success message)
        console.log('Item added to cart:', data);
    })
}

  

        </script>  
        
    </body>
</html>
