<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Welcome extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/userguide3/general/urls.html
	 */
	public function index()
	{
		$this->load->model('POS');
		$data['departments'] = $this->POS->get_departments();
		$data['items'] = $this->POS->get_allItems();
		$this->load->view('pos', $data);
	}
	public function get_items()
	{
		$this->load->model('POS');
		$data['items'] = $this->POS->get_allItems();
		$this->load->view('pos', $data);
	}
	//function to fetch items
	public function items($department_id){
		$this->load->model('POS');
		$data = $this->POS->get_items($department_id);
		echo json_encode($data);
	}
	public function search(){
		$this->load->model('POS');
		$search = $this->input->post('search');
		$data['departments'] = $this->POS->search($search);
        $this->load->view('pos', $data);


	}
}
