<!DOCTYPE html>
<html>
    <body>
        <head>
            <link rel="stylesheet" href="/pos.css">
        </head>
        <!--header file-->
        <?php
        include 'header.php';
        ?>
        <div class="container-fluid home">
            <div class="row">
                <div class="col-4 left ms-5">
                    <div class="itemdescription">
                        <div class="d-flex justify-content-between mx-1">
                            <p>Description</p>
                            <p>Price</p>
                        </div>
                        <div class="justify-content-between items-container">
                            <!-- Items will be dynamically added here -->
                        </div>
                    </div>                
                   
                   
                    <div class="mt-2 loyalty">
                        <div class="d-flex justify-content-between mx-1 mt-2">
                            <p>Total</p>
                            <p class="total-price"></p>
                        </div>
                        
                        <div class="row justify-content-center ">
                        <p class="text-center">Loyalty Points</p>
                            <div class="col-4 won">
                                <p>Points Won</p>
                                <p>+400</p>
                            </div>
                            <div class="col-4 total">
                                <p>New Total</p>
                                <p>4000.00</p>
                            </div>
                        </div>
                    </div>
                    <div class="refunds">
                        <div class="row mt-2">
                            <div class="col-4">
                                <p class="btn"><i class="fa-solid fa-rotate-right"></i> Refund</p>
                            </div>
                            <div class="col-4 border-start border-end">
                                <p class="btn"><i class="fa-solid fa-note-sticky"></i> Customer Note</p>
                            </div>
                            <div class="col-4">
                                <p class="btn"><i class="fa-solid fa-barcode"></i> Enter Code</p>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-4 d-flex">                            
                                <p class="btn"><i class="fa-solid fa-star"></i> Reset Programs</p>
                            </div>
                            <div class="col-4 border-start border-end">
                                <p class="btn"><i class="fa-solid fa-star"></i> Reward</p>
                            </div>
                            <div class="col-4">
                                <p class="btn"><i class="fa-solid fa-tag"></i> Internal Note</p>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-12 text-center">
                                <p><i class="fa-solid fa-paperclip"></i> Quotation/Order</p>
                            </div>                            
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <p><i class="fa-solid fa-user"></i> Oliver Allan</p>
                            <div class="payment">
                                <i class=" icon a-light fa-greater-than" style="height:120rem;"></i>    
                                <p>Payment</p>
                            </div>
                            
                        </div>
                        <div class="col-8">
                            <div class="row mt-1">
                                <div class="col-3 p-0">
                                    <button>1</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>2</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>3</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>Qty</button>
                                </div>                                
                            </div>
                            <div class="row mt-1">
                                <div class="col-3 p-0">
                                    <button>4</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>5</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>6</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>%Disc</button>
                                </div>                                
                            </div>
                            <div class="row mt-1">
                                <div class="col-3 p-0">
                                    <button>7</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>8</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>9</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>Price</button>
                                </div>                                
                            </div>
                            <div class="row mt-1">
                                <div class="col-3 p-0">
                                    <button>+/-</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>0</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button>.</button>
                                </div>
                                <div class="col-3 p-0">
                                    <button><i class="fa-solid fa-delete-left"></i></button>
                                </div>                                
                            </div>
                        </div>
                    </div>
                    
                </div>
                <div class="col-2 departments">
                    <h3>Departments</h3>
                    <?php foreach ($departments as $department): ?>
                        <div class="img"  data-department-id="<?php echo $department->ID; ?>">
                            <p class="btn"><?php echo $department->Name; ?></p>
                        </div>
                    <?php endforeach; ?>                                         
                </div>
                <!--Right column content-->
                <div class="col-5 right">
                    <div class="d-flex mt-5 justify-content-between">
                        <div class="icons d-flex">
                            <i class="fa-solid fa-house"></i> > <i class="fa-solid fa-book"> <span>Items</span></i>
                        </div>

                            <form action="<?= base_url("welcome/search") ?>" method="POST">
                                <div class="input-group mb-3 ">
                                    <input type="search" class="form-control" placeholder="Search products" name="search" aria-label="Search products" aria-describedby="search-icon">
                                    <span class="input-group-text" id="search-icon"><button class="search" type="submit"><i class="fas fa-search btn btn-sm"></i></button></span>
                                </div>
                            </form>
                    </div>
                    <div class="images items">
                        <div class="grid-container">
                            <?php foreach ($items as $item): ?>
                                <div class="grid-item">
                                    <img src="<?php echo base_url('images/') . $item->ID . '.jpg'; ?>" alt="<?php echo $item->Description; ?>" srcset="">
                                    <p><?php echo $item->Description; ?></p>
                                </div>
                            <?php endforeach; ?> 
                        </div>
                    </div>

                    
                </div>
                
            </div>
        </div>
        <script>
document.addEventListener('DOMContentLoaded', function() {
    var totalPrice = 0;
    var itemsMap = new Map();

    var departmentSections = document.querySelectorAll('.img');
    departmentSections.forEach(function(section) {
        section.addEventListener('click', function() {
            var departmentID = section.dataset.departmentId;
            fetch('<?php echo base_url('welcome/items'); ?>/' + departmentID)
                .then(response => response.json())
                .then(data => {
                    var itemsContainer = document.querySelector('.images.items');
                    itemsContainer.innerHTML = ''; // Clear previous items
                    data.forEach(function(item) {
                        var itemDiv = document.createElement('div');
                        itemDiv.classList.add('img');
                        var itemImage = document.createElement('img');
                        itemImage.src = '<?php echo base_url("images/"); ?>' + item.ID + '.jpg'; 
                        var itemDescription = document.createElement('p');
                        itemDescription.classList.add('item-description'); // Add CSS class
                        itemDescription.textContent = item.Description;
                        var itemPrice = document.createElement('p');
                        itemPrice.textContent = item.Price;
                        itemPrice.classList.add('item-price');
                        itemDiv.appendChild(itemImage);
                        itemDiv.appendChild(itemDescription);
                        itemDiv.appendChild(itemPrice);
                        itemsContainer.appendChild(itemDiv);

                        itemDiv.addEventListener('click', function() {
                            if (itemsMap.has(item.Description)) {
                                // Update quantity if item already exists
                                var quantityDiv = itemsMap.get(item.Description);
                                var quantityInput = quantityDiv.querySelector('input');
                                quantityInput.value = parseInt(quantityInput.value) + 1;

                                // Update total price
                                totalPrice += parseFloat(item.Price);
                                var totalPriceParagraph = document.querySelector('.total-price');
                                totalPriceParagraph.textContent = '$' + totalPrice.toFixed(2);
                            } else {
                                // Create new item entry
                                var descriptionPriceDiv = document.createElement('div');
                                descriptionPriceDiv.classList.add('descriptionPrice');

                                // Create separate paragraphs for description and price
                                var descriptionParagraph = document.createElement('p');
                                descriptionParagraph.textContent = item.Description;
                                var priceParagraph = document.createElement('p');
                                priceParagraph.textContent = '$' + item.Price;

                                // Append the paragraphs to the div
                                descriptionPriceDiv.appendChild(descriptionParagraph);
                                descriptionPriceDiv.appendChild(priceParagraph);

                                // Add margin for spacing
                                descriptionPriceDiv.style.marginTop = '5px'; // Adjust as needed
                                var itemsContainerLeft = document.querySelector('.items-container');
                                itemsContainerLeft.appendChild(descriptionPriceDiv);

                                // Create and add quantity div
                                var quantityDiv = document.createElement('div');
                                quantityDiv.classList.add('quantity-div');
                                var quantityLabel = document.createElement('p');
                                quantityLabel.textContent = 'Quantity:';
                                var quantityInput = document.createElement('input');
                                quantityInput.type = 'number';
                                quantityInput.value = 1; // Default quantity

                                quantityDiv.appendChild(quantityLabel);
                                quantityDiv.appendChild(quantityInput);
                                itemsContainerLeft.appendChild(quantityDiv);

                                // Save the item description and quantity div in the map
                                itemsMap.set(item.Description, quantityDiv);

                                // Update total price
                                totalPrice += parseFloat(item.Price);
                                var totalPriceParagraph = document.querySelector('.total-price');
                                totalPriceParagraph.textContent = '$' + totalPrice.toFixed(2);

                                // Update total price based on quantity
                                quantityInput.addEventListener('input', function() {
                                    var currentQuantity = parseInt(quantityInput.value);
                                    if (currentQuantity <= 0) {
                                        itemsContainerLeft.removeChild(descriptionPriceDiv);
                                        itemsContainerLeft.removeChild(quantityDiv);
                                        itemsMap.delete(item.Description);
                                    }
                                    var currentItemTotal = currentQuantity * parseFloat(item.Price);
                                    totalPrice = currentItemTotal;
                                    totalPriceParagraph.textContent = '$' + totalPrice.toFixed(2);
                                });
                            }
                        });
                    });
                })
                .catch(error => console.error('Error fetching items:', error));
        });
    });
});

           
            

        </script>  
        
    </body>
</html>
